org.eclipse.microprofile.graphql

## Annotation Type DateFormat

    @Retention(value=RUNTIME)
     @Target(value={TYPE_USE,ANNOTATION_TYPE,FIELD,METHOD,TYPE,PARAMETER,PACKAGE})
     @Documented
    public @interface DateFormat

Annotation provides way how to set custom date format to field or JavaBean property. (or collection there of) This is similar to Jsonb (JsonbDateFormat) except that it adds support for TYPE_USE

### Field Summary

Fields
`static String` `DEFAULT_FORMAT`
`static String` `DEFAULT_LOCALE`

### Optional Element Summary

Optional Elements
`String` `locale`
`String` `value`

### Field Detail

#### DEFAULT_LOCALE

    public static final String DEFAULT_LOCALE

#### DEFAULT_FORMAT

    public static final String DEFAULT_FORMAT

### Element Detail

#### value

    public abstract String value

Default:
  "##default"

#### locale

    public abstract String locale

Default:
  "##default"